/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is the Sablotron XSLT Processor.
 *
 * The Initial Developer of the Original Code is Ginger Alliance Ltd.
 * Portions created by Ginger Alliance are Copyright (C) 2000 Ginger
 * Alliance Ltd. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the
 * terms of the GNU General Public License Version 2 or later (the
 * "GPL"), in which case the provisions of the GPL are applicable
 * instead of those above.  If you wish to allow use of your
 * version of this file only under the terms of the GPL and not to
 * allow others to use your version of this file under the MPL,
 * indicate your decision by deleting the provisions above and
 * replace them with the notice and other provisions required by
 * the GPL.  If you do not delete the provisions above, a recipient
 * may use your version of this file under either the MPL or the
 * GPL.
 */

// platform.h

#if !defined(PlatformHIncl)
#define PlatformHIncl

// GP: clean

// disable the "no placement delete" warning of MSVC 6
// (MSVC 4.2 doesn't accept placement deletes)
#if defined(WIN32)
#pragma warning(disable: 4291)
// some more warnings we don't care about
#pragma warning(disable: 4514 4100 4512)
#endif

extern int isnan__(double x);
extern int isinf__(double x);
extern double getMillisecs();

class DStr;
void my_getcwd(DStr &dir);

#endif

#if defined(WIN32)
#define snprintf _snprintf
#define strncasecmp _strnicmp
#else
#include <strings.h>		// definition of strncasecmp
#endif
